package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.*;

import com.jasamedika.medifirst2000.base.BaseTransaction;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 * class PersetujuanUmum
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "PersetujuanUmum_T")
public class PersetujuanUmum extends MedicalRecordTransaction {
	@ManyToOne
	@JoinColumn(name = "NoMasukTujuanFk")	
	@Caption(value = "No Masuk Tujuan")
	private RegistrasiPelayananPasien noMasukTujuan;
	public RegistrasiPelayananPasien getNoMasukTujuan() {
		return noMasukTujuan;
	}

	public void setNoMasukTujuan(RegistrasiPelayananPasien noMasukTujuan) {
		this.noMasukTujuan = noMasukTujuan;
	}



	@Column(name = "NoMasukTujuanFk", insertable = false, updatable = false)
	private String noMasukTujuanId;
	
	
	
	@ManyToOne
	@JoinColumn(name = "RuanganTujuanFk")
	@NotNull(message = "Ruangan Tujuan Harus Diisi")
	@Caption(value = "Ruangan Tujuan")
	private Ruangan ruanganTujuan;
	@Column(name = "RuanganTujuanFk", insertable = false, updatable = false)
	private Integer ruanganTujuanId;
	public Ruangan getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(Ruangan ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	

	@ManyToOne
	@JoinColumn(name = "KelasPerawatanFk")
	@NotNull(message = "Kelas Perawatan Harus Diisi")
	@Caption(value = "Kelas Perawatan")
	private Kelas kelasPerawatan;

	public Kelas getKelasPerawatan() {
		return kelasPerawatan;
	}

	public void setKelasPerawatan(Kelas kelasPerawatan) {
		this.kelasPerawatan = kelasPerawatan;
	}

	@Column(name = "KelasPerawatanFk", insertable = false, updatable = false)
	private Integer kelasPerawatanId;

	private Date tglRencana;

	public Date getTglRencana() {
		return tglRencana;
	}

	public void setTglRencana(Date tglRencana) {
		this.tglRencana = tglRencana;
	}

	@Column(name = "StatusRegistrasi", nullable = true, length = 500)
	@Caption(value = "statusRegistrasi")
	private Boolean statusRegistrasi;

	public Boolean getStatusRegistrasi() {
		return statusRegistrasi;
	}

	public void setStatusRegistrasi(Boolean statusRegistrasi) {
		this.statusRegistrasi = statusRegistrasi;
	}

	@ManyToOne
	@JoinColumn(name = "JenisPembayaranFk")
	@NotNull(message = "Jenis Pembayaran Harus Diisi")
	@Caption(value = "Jenis Pembayaran")
	private KelompokPasien jenisPembayaran;

	public KelompokPasien getJenisPembayaran() {
		return jenisPembayaran;
	}

	public void setJenisPembayaran(KelompokPasien jenisPembayaran) {
		this.jenisPembayaran = jenisPembayaran;
	}

	@Column(name = "JenisPembayaranFk", insertable = false, updatable = false)
	private Integer jenisPembayaranId;

}